//
// Sample program: lphello.sc
//
// Print via parallel port.
//
// (C) Copyright 1998, David Moore.
//


#include "jxlib.sh"


module test;

  declare;
     byte stk[1023];
     byte stktop;

     byte task1name "task_1\0";

     byte msg "HelloWorld\n\0";

     long tid;

     long sts;

     public proc main( void );
     public proc main_cli( void );
     public proc task1( void );
  
  enddeclare;

  public proc main( void );

     tid = lib_taskcreate( ptr task1, ptr stktop, 21, ptr task1name );

  endproc;



  public proc main_cli( void );
  endproc;



  public proc task1( void );

    lib_lp1cfg( 3bch );

    lib_lp1writeaz( ptr msg );
    lib_lp1writeaz( ptr msg );
    lib_lp1writeaz( ptr msg );

    lib_lp1writen( ptr msg, 5 );

    lib_lp1eoj();
    
    lib_taskdeletev();

  endproc;    



endmodule;

